libxfcegui4 (4.10.0-4) unstable; urgency=medium

  * debian/control:
    - add build-dep on autotools-dev
    - update standards version to 4.0.0
  * debian/rules:
    - use autotools-dev dh addon to update config.{guess,sub}, which is
    recommended by policy 4.0.0 and fixes FTBFS.                closes: #870666
  * Run wrap-and-sort.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 04 Aug 2017 11:16:55 +0200

libxfcegui4 (4.10.0-3) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * Bump standards version to 3.9.6
  * debian/control: Add build depend on dh-autoreconf
  * debian/rules: 
    - Add --with autoreconf 
    - Add disable-silent-rules
  * Create debian/source/options
  * debian/watch: Add support for more file formats

  [ Mateusz Łukasik ]
  * Update debian/watch.

  [ Yves-Alexis Perez ]
  * debian/patches:
    - 03_libxfce4util7-support added, replace xfce_setenv by g_setenv, fix
      FTBFS with libxfce4util 4.12.
  * debian/control:
    - fix typo.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 05 May 2015 21:57:27 +0200

libxfcegui4 (4.10.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    - enable all hardening flags.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 22 May 2013 00:31:06 +0200

libxfcegui4 (4.10.0-1) experimental; urgency=low

  * New upstream stable release.
  * debian/patches:
    - 01_xfce-exec-use-thunar.patch: dropped, now use exo-open.
    - 03_fix-link-lm.patch: dropped, included upstream.
  * debian/control: revert to unversioned libxfce4util-dev, bump required
    version to >= 4.10.0.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sat, 05 May 2012 14:21:58 +0200

libxfcegui4 (4.9.0-1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * debian/patches: add missing DEP3 headers.
  * debian/control: switch to libxfce4util6-dev for the new api.

  [ Yves-Alexis Perez ]
  * New upstream development release.
  * debian/rules:
    - build with --parallel.
    - use debhelper 9 / dpkg-dev 1.16.1 hardening support.
    - use --fail-missing in dh_install.
  * debian/control:
    - bump debhelper build-dep to 9.
    - add build-dep on dpkg-dev 1.16.1.
    - drop hardening-includes build-dep.
    - update standards version to 3.9.3.
    - add Pre-Depends on ${misc:Pre-Depends} in libxfcegui4-4 for multiarch.
  * debian/compat bumped to 9.
  * Use multi-arch paths in install files.
  * debian/libxfcegui4-4.install:
    - stop installing glade files since they are gone.
  * debian/libxfcegui4-dev:
    - don't install static libs, we don't build them anymore.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 15 Apr 2012 16:28:07 +0200

libxfcegui4 (4.8.1-5) unstable; urgency=low

  * debian/patches:
    - 03_fix-link-lm added, explicit link against libmath.      closes: #640452
  * debian/rules:
    - run xdt-autogen before configure.
  * debian/control:
    - add build-dep on xfce4-dev-tools, libtool and gtk-doc-tools.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 05 Sep 2011 21:21:42 +0200

libxfcegui4 (4.8.1-4) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - remove Martin, Emanuele, Simon and Michael from uploaders, thanks to them.
    - update standards version to 3.9.2. 

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 17:36:28 +0200

libxfcegui4 (4.8.1-3) experimental; urgency=low

  * debian/control:
    - add Breaks: on xfwm4 and xfce4-settings before 4.8 because
      libxfcekbdprivate is now gone.                            closes: #613019

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 14 Feb 2011 23:31:21 +0100

libxfcegui4 (4.8.1-2) experimental; urgency=low

  * debian/control:
    - update libxfce4util build-dep to pick 4.8.0.              closes: #612853

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 11 Feb 2011 08:29:41 +0100

libxfcegui4 (4.8.1-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream development release.
  * debian/libxfcegui4-4.shlibs:
    - bump shlibs to 4.7.
    - drop libxfce4kbd-private shlib, not present anymore.
  * debian/control, debian/xfce-keyboard-shortcuts.install:
    - drop xfce-keyboard-shortcut package, now provided by libxfce4ui.
  * debian/control:
    - update standards version to 3.9.1.
    - add build-dep on hardening-includes. 
  * debian/rules:
    - pick {C,LD}FLAGS from dpkg-buildflags
    - add -O1, -z,defs, --as-needed to LDFLAGS
    - add hardening flags to {C,LD}FLAGS.
  * debian/copyright updated for new releases.

  [ Lionel Le Folgoc ]
  * debian/control, debian/glade-xfce.install:
    - drop glade-xfce package, now provided by libxfce4ui.
  * debian/control:
    - add myself to Uploaders
    - drop libgladeui-1-dev build-dep, not needed anymore.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 10 Feb 2011 23:32:40 +0100

libxfcegui4 (4.6.4-1) unstable; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) source format.
  * debian/rules:
    - don't use quilt addon.
  * debian/control:
    - drop quilt build-dep.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 May 2010 13:14:20 +0200

libxfcegui4 (4.6.3-2) unstable; urgency=low

  * Override dh_strip so we don't end up with an empty dbg package.
  * debian/control:
    - update standards version to 3.8.4.
    - update debhelper build dep because using override. 

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 07 Feb 2010 23:30:48 +0100

libxfcegui4 (4.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 20 Jan 2010 20:42:37 +0100

libxfcegui4 (4.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch updated to track new repository organisation.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 05 Jan 2010 18:11:31 +0100

libxfcegui4 (4.6.1-2) unstable; urgency=low

  * Add a new xfce-keyboard-shortcuts containing the xfconf file for keyboard
    shortcuts. This will enable people to co-install libxfcegui4 and
    libxfce4ui.
  * debian/control:
    - update standards version to 3.8.3 ;
    - update quilt build-dep to use dh --with quilt ;
    - add ${misc:Depends} to all Depends: lines ;
    - drop chrpath build-dep.
  * debian/README.source added.
  * debian/rules:
    - big cleanup, use tiny rule from debhelper 7.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 25 Oct 2009 23:03:30 +0100

libxfcegui4 (4.6.1-1) unstable; urgency=low

  * debian/control:
    - move lib to libs section, -dbg to debug one.
  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 19 Apr 2009 13:48:49 +0200

libxfcegui4 (4.6.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    - replace dh_clean -k by dh_prep.
  * debian/compat bumped to 7.
  * debian/control:
    - update build-dep on debhelper accordingly.
    - update standards version to 3.8.1.
    - move to xfce section.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 00:54:00 +0200

libxfcegui4 (4.6.0-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  [ Xfce 4.6 Alpha “Pinkie”]
  * debian/libxfcegui4-4.shlibs: updated shlibs to 4.5.90.
  * debian/rules:
    - fail if dh_install misses files.
    - switch from `pwd` to $(CURDIR)
    - stop messing with config.{guess,sub}.
    - don't ship glade .la files.
  * debian/control:
    - update standards version to 3.8.0. 
    - build-dep on intltool.
    - build-dep on libgladeui-1-dev. 
    - add a new package glade-xfce which contains module and catalogue for
      Xfce widgets in Glade.
  * debian/glade-xfce.install: ship gladeui stuff in glade-xfce package.

  [ Xfce 4.6 Beta 1 “Fuzzy”]
  * new upstream beta release.
  * debian/control:
    - drop useless Conflicts/Replaces.
    - update build-deps for Fuzzy.
    - cleanup build-deps.
    - make -dev package depends on libgtk2.0-dev.
  * debian/libxfcegui4-4.shlibs: bumpd shlibs for Fuzzy.
  * debian/rules:
    - be explicit on configure flags.

  [ Xfce 4.6 Beta 2 “Hopper”]
  * new upstream beta release.
  * debian/control
    - update build-deps for “Hopper”.
    - add build-dep on libxfconf.
    - make -dev package depends on libxfconf-0-dev.
  * debian/rules:
    - remove libxfce4kbd-private.la.
    - use sysconfdir=/etc.
    - explicit enable of private keyboard library.
  * debian/libxfcegui4-4.install:
    - install xfconf config files in /etc.
  * debian/libxfcegui4-4.shlibs:
    - add libxfce4kbd-private to shlibs files.

  [ Xfce 4.6 Beta 3 “Tuco-tuco”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for “Tuco-Tuco”.
    - clean deps on -dev package to only get what pkg-config requires.
  * debian/libxfcegui4-4.shlibs
    - bump shlibs for “Tuco-Tuco”

  [ Xfce 4.6 RC1 “Capybara”]
  * new upstream release candidate.
  * debian/control:
    - update build-deps for “Capybara”
  * debian/libxfcegui4-4.shlibs:
    - bump shlibs to 4.5.99.1.

  [ Xfce 4.6 ]
  * new upstream release.
  * debian/control:
    - update build-deps for 4.6.
  * debian/libxfcegui4-4.shlibs:
    - bump shlibs to 4.6.0.
  * debian/copyright:
    - update dates and copyright holders.
    - add glade module.
    - switch to machine-readable copyright format.

  [ Michael Casadevall ]
  * debian/control:
    - Added myself to uploaders
  * debian/patches/02_fix-menu-icons.patch:
    - Fixes Xfce #3614 which prevents icons with dots
      in them from properly showing up in the menu

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 03 Mar 2009 09:29:07 +0100

libxfcegui4 (4.4.2-4) unstable; urgency=low

  * another “brown paper bag” release.
  * debian/patches/series added.
  * debian/patche/01_xfce-exec-use-thunar.patch tuned to apply properly.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 04 May 2008 15:12:33 +0200

libxfcegui4 (4.4.2-3) unstable; urgency=low

  * debian/patches: 01_xfce-exec-use-thunar added, don't call xftree4 which
    doesn't exist anymore.
  * debian/rules: use quilt for patching.
  * debian/control:
    - add build-dep on quilt.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 29 Apr 2008 21:22:53 +0200

libxfcegui4 (4.4.2-2) unstable; urgency=low

  * debian/compat: update debhelper compatibility to 5
  * debian/control:
    - update debhelper build-dep accordingly.
    - update my email address.
    - update standards versions to 3.7.3.
    - add a new -dbg package.
  * debian/rules: install debug symbols into -dbg package.
  * debian/copyright:
    - update copyright dates.
    - add © sign.
  * debian/libxfcegui4-4.install: 
    - don't ship usr/lib/xfce4/modules/*, non existent.
    - don't ship usr/share/xfce4 either.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 01 Mar 2008 23:49:55 +0100

libxfcegui4 (4.4.2-1) unstable; urgency=low

  [ Simon Huggins ]
  * Use ${binary:Version} so we are binNMU safe.
  * debian/control: Move fake Homepage field to a real one now dpkg
    supports it.

  [ Yves-Alexis Perez ]
  * New upstream release.
    - fix window opening on wrong screen.                       closes: #443690
  * debian/rules: don't ignore all make errors at clean stage.

  [ Simon Huggins ]
  * Add Vcs-* headers to debian/control

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu, 29 Nov 2007 08:00:36 +0100

libxfcegui4 (4.4.1-1) unstable; urgency=low

  * New upstream release. 
  * debian/control: version build-dep against gtk 2.10.
  * debian/copyright: updated copyright holders.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 15 Apr 2007 15:28:17 +0100

libxfcegui4 (4.4.0-2) experimental; urgency=low

  * debian/rules: don't ship /usr/lib/libxfcegui4.la in package. 

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu, 25 Jan 2007 01:23:00 +0100

libxfcegui4 (4.4.0-1) experimental; urgency=low
  
  (Yves-Alexis Perez)
  * New upstream release.
  * debian/control:
    - updated build-deps against Xfce 4.4.
    - conflicts against xfce4-panel (<< 4.4.0) because xfce-man.png switched
      from panel to lib.
    - conflicts against xfce4-mcs-plugins (<< 4.4.0) because
      xfce4-filemanager.svg switched from mcs-plugins to lib.
    - dropped totally dbh deps as it's not used anymore.

  (Emanuele Rocca)
  * debian/control:
    - Added Suggests: devhelp.
    - Reference manual mentioned in the long description.
    - s/libxfcegui4-3/libxfcegui4-4/

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 24 Jan 2007 23:05:42 +0100

libxfcegui4 (4.3.99.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated build-deps against Xfce 4.4RC2 (4.3.99.2).

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu, 16 Nov 2006 13:57:22 +0100

libxfcegui4 (4.3.99.1-2) unstable; urgency=low

  * Ship a shlibs file so dependencies know that they need libxfcegui4
    4.3.99.1.

 -- Yves-Alexis Perez <corsac@corsac.net>  Fri, 13 Oct 2006 09:11:36 +0100

libxfcegui4 (4.3.99.1-1) unstable; urgency=low

  * New upstream release 
  * debian/control: updated build-dep against Xfce 4.4RC1 (4.3.99.1).

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 23 Sep 2006 13:46:16 +0100

libxfcegui4 (4.3.90.2-1) unstable; urgency=low

  (Yves-Alexis Perez)
  * New upstream release.
  * debian/control: updated standards versions to 3.7.2.
  (Simon Huggins)
  * Add rpath fixes.

 -- Yves-Alexis Perez <corsac@corsac.net>  Mon, 10 Jul 2006 17:59:53 +0200

libxfcegui4 (4.3.90.1-1) unstable; urgency=low

  (Yves-Alexis Perez)
   * New Upstream Release
  (Simon Huggins)
   * Remove pointless .la files.
 
 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 03 May 2006 18:35:05 +0100

libxfcegui4 (4.2.3-2) unstable; urgency=low

  * Fix for the X11R7 transition; remove the build-dep on xlibs-static-pic and
    the equivalent depends from the -dev package.

 -- Simon Huggins <huggie@earth.li>  Mon, 17 Apr 2006 17:17:17 +0100

libxfcegui4 (4.2.3-1) unstable; urgency=low

  * New Upstream Release

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 06 Nov 2005 22:01:12 +0100

libxfcegui4 (4.2.2-1) unstable; urgency=low

  * New Upstream Release
  * Add versioned dependency on libxfce4util to the -dev package
                                                               closes: #309180
  * Add dependency on libstartup-notification0-dev to the -dev package
                                                               closes: #309145
  * Depend on the version of util that has a versioned shlibs so that we can
    fix upgrade issues (thanks to Kurt Koeckx)
  * Change suite to unstable

 -- Simon Huggins <huggie@earth.li>  Sat, 18 Jun 2005 09:49:49 +0100

libxfcegui4 (4.2.1-1) experimental; urgency=low

  * ML: New Upstream Release (Xfce 4.2.1)
  * ML: Upload to experimental to prevents problems with NEW packages
  * ML: debian/control: Added Maintainer/Uploaders fields

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 19 Mar 2005 13:02:00 +0100

libxfcegui4 (4.2.0-2) experimental; urgency=low

  * Add --enable-final to the configure
  * Add a Homepage: to the description

 -- Simon Huggins <huggie@earth.li>  Sun, 16 Jan 2005 15:19:29 +0000

libxfcegui4 (4.2.0-1) experimental; urgency=low

  * New Upstream Release

 -- Simon Huggins <huggie@earth.li>  Sat, 15 Jan 2005 10:50:14 +0000

libxfcegui4 (4.1.99.1-1) experimental; urgency=low

  * ML: New Upstream Release (4.1.99.1 alias XFce4 4.2 RC1)
  * ML: control: Added Build-Depends for dbh amd libxml2-dev
  * ML: libxfcegui4-1.install and libxfcegui4-dev.install updated

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 19 Nov 2004 15:43:00 +0100

libxfcegui4 (4.0.6-1) unstable; urgency=high

  * urgency high to avoid previous buildd mess; there are 3 more upload stages
    each requiring the dev packages from the previous stage to be installed on
    all archs before we can upload (see http://wiki.earth.li/XfceDebian)
  * New upstream release
  * Update depends in -dev package from xlibs-pic to xlibs-static-pic which
                                                               closes: #253331
 
 -- Simon Huggins <huggie@earth.li>  Mon, 12 Jul 2004 21:48:41 +0100
 
libxfcegui4 (4.0.5-2) unstable; urgency=low

  * Add libxt-dev and libxpm-dev to the depends for the -dev package due to
    the split out xlibs and libgtk2.0-dev no longer depending on xlibs-dev.
                                                               closes: #250057
  * Remove Norbert Tretkowski from Uploaders as requested
 
 -- Simon Huggins <huggie@earth.li>  Tue, 25 May 2004 21:45:26 +0100
 
libxfcegui4 (4.0.5-1) unstable; urgency=high

  * urgency high to avoid previous buildd mess; there are 3 more upload stages
    each requiring the dev packages from the previous stage to be installed on
    all archs before we can upload (see http://wiki.earth.li/XfceDebian)
  * New upstream release
  * Update upstream's libtool
  * Update build-depends to xlibs-static-pic (new name for xlibs-pic)
 
 -- Simon Huggins <huggie@earth.li>  Sun, 18 Apr 2004 22:00:00 +0100
 
libxfcegui4 (4.0.3-2) unstable; urgency=low

  * Update libtool closes: #236929
  * Remove dpatch (it's only used for the Xinerama stuff which got screwed by
    the libtool update anyway so easier just to patch in by hand)
  * Just adding Daniel wasn't enough.  Add self to Uploaders so katie doesn't
    think this is an NMU again.
 
 -- Simon Huggins <huggie@earth.li>  Tue, 09 Mar 2004 10:14:23 +0000
 
libxfcegui4 (4.0.3-1) unstable; urgency=low

  * New Upstream release
  * Add Daniel Silverstone <dsilvers@debian.org> to Uploaders as approved by
    madkiss
  * 02_kde_tray_icons.dpatch has been taken on (in part) upstream
    but enough to satisfy the test case given closes: #215305
  * Thanks to Daniel for checking and uploading these packages
 
 -- Simon Huggins <huggie@earth.li>  Tue, 02 Mar 2004 23:22:52 +0000
 
libxfcegui4 (4.0.2-1) unstable; urgency=low

  * New Upstream release
 
 -- Martin Loschwitz <madkiss@debian.org>  Fri, 26 Dec 2003 15:45:00 +0200
 
libxfcegui4 (4.0.0.final-2) unstable; urgency=low

  * Added Dependency for xlibs-pic to libxfcegui4-dev
  * Added patch by Chung-chieh Shan to support KDE tray icons

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 13 Oct 2003 19:49:00 +0200

libxfcegui4 (4.0.0.final-1) unstable; urgency=low

  * New Upstream release
  * New Co-Maintainer: Norbert Tretkowski.
  * Various cleanups in debian/
  * Renamed libxfcegui4-0-dev to libxfcegui4-dev

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 29 Sep 2003 15:56:00 +0200
 
libxfcegui4 (0.0.19+cvs.20030421-1) unstable; urgency=low

  * New CVS checkout (2003-04-21)
  * Drop dpatch - problems fixed by upstream
  * Added libxfce4util ad Build-Depends

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 21 Apr 2003 19:04:00 +0200
 
libxfcegui4 (0.0.16+cvs.20030301-1) unstable; urgency=low

  * New CVS checkout (Using Xfce CVS, 2003-03-01)
  * Official release (really this time!) (last release was never made public)
  * debian/control: Changed Maintainer e-mail address
  * debian/rules: Use dpatch to remove rpath references 

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 01 Mar 2003 08:40:00 +0100
 
libxfcegui4 (0.0.16+cvs.20030216-1) unstable; urgency=low

  * New CVS checkout (Using Xfce CVS, 2003-02-16)
  * Official release (last release was never made public)

 -- Martin Loschwitz <madkiss@madkiss.org>  Sun, 16 Feb 2003 09:24:00 +0100
 
libxfcegui4 (0.0.12+cvs.20030119-1) unstable; urgency=low

  * New CVS Checkout (Using Xfce CVS, 2003-01-19)
  * debian/control: Added build-dependency for libxft2-dev

 -- Martin Loschwitz <madkiss@madkiss.org>  Sun, 19 Jan 2003 10:04:00 +0100
 
libxfcegui4 (0.0.9+cvs.20021222-1) unstable; urgency=low

  * New CVS Checkout (Using xfce CVS, 2002-12-22)
  * debian/rules: Made Xinerama i386 specific (Closes: #173083)

 -- Martin Loschwitz <madkiss@madkiss.org>  Sun, 22 Dec 2002 13:38:00 +0100

libxfcegui4 (0.0.8+cvs.20021127-1) unstable; urgency=low

  * Initial Release. (Closes: #166631)

 -- Martin Loschwitz <madkiss@madkiss.org>  Wed, 27 Nov 2002 14:29:00 +0100
